Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000233Documentation, Examples, and Web SiteWriting with Informpublic2010-08-05 03:562010-10-29 09:23
ReporterJhaierr 
Assigned Toemshort 
PrioritynormalSeveritymildReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000233: Procedural rules are deprecated but used in examples
DescriptionEven though procedural rules are being deprecated, there are still several examples that use them, either as part of the example code or as an initial option before changing it to different code. I used the documentation search "procedural rule" to find them.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000379)
Jhaierr (reporter)
2010-08-05 04:08

Procedural rules appear in both examples and the primary text of several chapters, actually.
(0000451)
emshort (administrator)
2010-08-29 06:34
edited on: 2010-08-29 06:35

We intentionally did not strip out all mentions of procedural rules in case the proposed change in use did not go through.

That said, I have gone through the examples and revised away all the places where procedural rules are mentioned but aren't strictly necessary.

This leaves a few examples that are specifically designed to show how procedural rules work, and one or two where it would help for us to add some alternative conditional syntax for editing rulebooks (as discussed at the suggestion forum here: http://inform7.uservoice.com/forums/57320-general/suggestions/837651-syntax-a-way-to-change-the-condition-of-an-exist?ref=title [^] and intfiction forum here: http://www.intfiction.org/forum/viewtopic.php?f=7&t=1156&hilit=procedural [^] ).

Those final examples will be revised and/or removed when we ultimately commit to the removal of procedural rules entirely.


- Issue History
Date Modified Username Field Change
2010-08-05 03:56 Jhaierr New Issue
2010-08-05 04:08 Jhaierr Note Added: 0000379
2010-08-05 16:23 jmcgrew Status new => acknowledged
2010-08-06 17:35 EmacsUser Status acknowledged => confirmed
2010-08-29 06:34 emshort Note Added: 0000451
2010-08-29 06:35 emshort Note Edited: 0000451 View Revisions
2010-08-29 06:35 emshort Assigned To => emshort
2010-08-29 06:35 emshort Status confirmed => resolved
2010-08-29 06:35 emshort Resolution open => fixed
2010-10-29 09:23 jmcgrew Fixed in Version => 6F95
2010-10-29 09:23 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker